Name:           perl-ParseUtil-Domain
Summary:        Utility for parsing a domain name into its components
Version:        2.22
Release:        3%{?dist}

# - ParseUtil::Domain is GPL+ or Artistic (the "Perl" license)
# - data/effective_tld_names.txt is MPLv2.0
# - ParseUtil::Domain::ConfigData is automatically generated during the build,
#   based on the contents of data/effective_tld_names.txt
License:        (GPL+ or Artistic) and MPLv2.0

URL:            http://search.cpan.org/dist/ParseUtil-Domain/
Source0:        http://www.cpan.org/authors/id/H/HE/HEYTRAV/ParseUtil-Domain-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Moose)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Net::IDN::Encode) >= 2.003
BuildRequires:  perl(Net::IDN::Nameprep) >= 1.101
BuildRequires:  perl(Net::IDN::Punycode)
BuildRequires:  perl(Perl6::Export::Attrs)
BuildRequires:  perl(Perl::Critic)
BuildRequires:  perl(Regexp::Assemble::Compressed)
BuildRequires:  perl(Smart::Comments)
BuildRequires:  perl(Test::Class)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Routine)
BuildRequires:  perl(Test::Routine::Util)
BuildRequires:  perl(Unicode::CharName) >= 1.07
BuildRequires:  perl(YAML)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
A tool for parsing domain names. This module makes use of the data provided
by the Public Suffix List (http://publicsuffix.org/list/) to parse TLDs.


%prep
%setup -q -n ParseUtil-Domain-%{version}

# Remove incorrect executable bits
chmod -x lib/ParseUtil/Domain.pm \
         README \
         data/effective_tld_names.txt

%build
perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc data/effective_tld_names.txt README
%{_bindir}/punyconvert
%{_mandir}/man1/punyconvert.1*
%{_mandir}/man3/ParseUtil::Domain*3pm*
%{perl_vendorlib}/ParseUtil*


%changelog
* Wed Mar 06 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 2.22-3
- Change "tlds" to "TLDs" in the description.
- Add missing build requirements.

* Fri Jan 25 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 2.22-2
- Replace usage of the %%{__perl} macro by the plain perl command.
- Add missing build requirements.
- Remove incorrect executable bits.

* Wed Jan 02 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 2.22-1
- Initial package for Fedora, with help from cpanspec.
